Ré-organisatrion stage3 et stage5 comme les stages 0 à 2
[hvlinux.git] / stage5 / bootscripts / milter-spf
diff --git a/stage5/bootscripts/milter-spf b/stage5/bootscripts/milter-spf
new file mode 100755 (executable)
index 0000000..b26502b
--- /dev/null
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+# Milter-SPF
+
+# Source functions library
+source /etc/rc.d/init.d/functions
+
+log_script_name "$0 $*"
+
+prog="Milter-SPF"
+socket="/var/run/smfs/smf-spf.sock"
+
+case "$1" in
+    start)
+       cmd_run_log_box_warn "Starting $prog" loadproc /usr/sbin/smf-spf
+        ;;
+
+    stop)
+       cmd_run_log_box_warn "Stopping $prog" killproc /usr/sbin/smf-spf
+        ;;
+
+    restart)
+        $0 stop
+        sleep 1
+        $0 start
+        ;;
+    
+    status)
+        statusproc smf-spf
+        ;;
+    
+    *)
+       echo "Usage: $0 {start|stop|restart|status}"
+       exit ${EXIT_CODE_FAILURE}
+       ;;
+esac
+
+exit $?